Loading...
Searching...
No Matches
Registry.hpp File Reference
`#include <SoapySDR/Config.hpp>`
`#include <SoapySDR/Version.hpp>`
`#include <SoapySDR/Types.hpp>`
`#include <vector>`
`#include <string>`
`#include <map>`

Go to the source code of this file.

## Classes

class | SoapySDR::Registry

## Namespaces

namespace | SoapySDR

## Typedefs

typedef KwargsList(* | SoapySDR::FindFunction) (const Kwargs &)
| typedef for a device enumeration function
typedef Device *(* | SoapySDR::MakeFunction) (const Kwargs &)
| typedef for a device factory function
typedef std::map< std::string, FindFunction > | SoapySDR::FindFunctions
| typedef for a dictionary of find functions
typedef std::map< std::string, MakeFunction > | SoapySDR::MakeFunctions
| typedef for a dictionary of make functions

## Detailed Description

Device factory registration API.

Copyright
  Copyright (c) 2014-2015 Josh Blum SPDX-License-Identifier: BSL-1.0